Public Member Functions | Data Fields

# LinkGraphSettings Struct Reference

## Public Member Functions
DistributionType | GetDistributionType (CargoID cargo) const
## Data Fields
uint16 | recalc_interval
| minimum interval (in days) between subsequent calculations of components in the same link graph
DistributionTypeByte | distribution_pax
| distribution type for passengers
DistributionTypeByte | distribution_mail
| distribution type for mail
DistributionTypeByte | distribution_armoured
| distribution type for armoured cargo class
DistributionTypeByte | distribution_default
| distribution type for all other goods
uint8 | accuracy
| accuracy when calculating things on the link graph. low accuracy => low running time
uint8 | demand_size
| influence of supply ("station size") on the demand function
uint8 | demand_distance
| influence of distance between stations on the demand function
uint8 | short_path_saturation
| percentage up to which short paths are saturated before saturating most capacious paths

## Detailed Description

Definition at line 433 of file settings_type.h.

The documentation for this struct was generated from the following file:

- src/settings_type.h